Bug 1571356 - sosreport should also capture data from /var/lib/ipa/gssproxy/http.keytab
Summary: sosreport should also capture data from /var/lib/ipa/gssproxy/http.keytab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.4
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 15:08 UTC by Striker Leggette
Modified: 2021-06-10 15:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-06 09:37:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sosreport sos pull 1280 0 None None None 2018-05-02 12:22:27 UTC

Description Striker Leggette 2018-04-24 15:08:48 UTC
[+] Description of problem:
 - sosreport should also capture data from /var/lib/ipa/gssproxy/http.keytab

[+] Additional info:
 - 'klist -ket' should be run on /var/lib/ipa/gssproxy/http.keytab and should store the output in the sosreport archive as '/sos_commands/ipa/klist_-ket_.var.lib.ipa.gssproxy.http.keytab'

Comment 2 Pavel Moravec 2018-05-02 12:22:28 UTC
My (limited) understanding is that the keytab contains keys that shall not be shared outside the system, so sosreport shouldnt collect the file.

No problem in collecting the klist.

Comment 4 Pavel Moravec 2018-11-06 09:37:26 UTC
This should have been fixed in RHEL7.6 due to previous updates done in sos 3.6 we rebased to in 7.6. Hence closing the BZ as fixed in current release:

package: sos-3.6-11

7.6.0 errata: https://access.redhat.com/errata/RHEA-2018:3144
7.6.0-day errata: https://access.redhat.com/errata/RHBA-2018:3338

(either one contains the fix)


Note You need to log in before you can comment on or make changes to this bug.